# Namespace KNS

Module | knewstuff
Namespace | KNS

### classes

KNS.Author | KNS.Engine | KNS.Installation
KNS.Category | KNS.Entry | KNS.KTranslatable

### methods

- standardAction (what, recvr, slot, parent, name)

  returns KAction

  Argument | Type | Default
  --- | --- | ---
  what | QString |
  recvr | QObject |
  slot | char |
  parent | KActionCollection |
  name | char | 0

  Standard action for all GHNS workflows.

  This action can be used to add KNewStuff support to menus and toolbars.